# Module: config

Source:
  - resource/models/config.js, line 2

### Methods

#### (static) getAll(callback)

Get all configuration

##### Parameters:

Name | Type | Description
--- | --- | ---
`callback` | module:resin.models.config~getAllCallback | callback

Source:
  - resource/models/config.js, line 33

##### Example

    resin.models.config.getAll (error, config) ->
    		throw error if error?
    		console.log(config)

#### (static) getAll(callback)

Get all configuration

##### Parameters:

Name | Type | Description
--- | --- | ---
`callback` | module:resin.models.config~getAllCallback | callback

Source:
  - models/config.js, line 33

##### Example

    resin.models.config.getAll (error, config) ->
    		throw error if error?
    		console.log(config)

#### (static) getDeviceTypes(callback)

Get device types

##### Parameters:

Name | Type | Description
--- | --- | ---
`callback` | module:resin.models.config~getDeviceTypes | callback

Source:
  - resource/models/config.js, line 99

##### Example

    resin.models.config.getDeviceTypes (error, deviceTypes) ->
    		throw error if error?
    		console.log(deviceTypes)

#### (static) getDeviceTypes(callback)

Get device types

##### Parameters:

Name | Type | Description
--- | --- | ---
`callback` | module:resin.models.config~getDeviceTypes | callback

Source:
  - models/config.js, line 99

##### Example

    resin.models.config.getDeviceTypes (error, deviceTypes) ->
    		throw error if error?
    		console.log(deviceTypes)

#### (static) getPubNubKeys(callback)

Get PubNub keys

##### Parameters:

Name | Type | Description
--- | --- | ---
`callback` | module:resin.models.config~getPubNubKeys | callback

Source:
  - models/config.js, line 68

##### Example

    resin.models.config.getPubNubKeys (error, pubnubKeys) ->
    		throw error if error?
    		console.log(pubnubKeys.subscribe_key)
    		console.log(pubnubKeys.publish_key)

#### (static) getPubNubKeys(callback)

Get PubNub keys

##### Parameters:

Name | Type | Description
--- | --- | ---
`callback` | module:resin.models.config~getPubNubKeys | callback

Source:
  - resource/models/config.js, line 68

##### Example

    resin.models.config.getPubNubKeys (error, pubnubKeys) ->
    		throw error if error?
    		console.log(pubnubKeys.subscribe_key)
    		console.log(pubnubKeys.publish_key)

Source:
  - models/config.js, line 2

### Methods

#### (static) getAll(callback)

Get all configuration

##### Parameters:

Name | Type | Description
--- | --- | ---
`callback` | module:resin.models.config~getAllCallback | callback

Source:
  - resource/models/config.js, line 33

##### Example

    resin.models.config.getAll (error, config) ->
    		throw error if error?
    		console.log(config)

#### (static) getAll(callback)

Get all configuration

##### Parameters:

Name | Type | Description
--- | --- | ---
`callback` | module:resin.models.config~getAllCallback | callback

Source:
  - models/config.js, line 33

##### Example

    resin.models.config.getAll (error, config) ->
    		throw error if error?
    		console.log(config)

#### (static) getDeviceTypes(callback)

Get device types

##### Parameters:

Name | Type | Description
--- | --- | ---
`callback` | module:resin.models.config~getDeviceTypes | callback

Source:
  - resource/models/config.js, line 99

##### Example

    resin.models.config.getDeviceTypes (error, deviceTypes) ->
    		throw error if error?
    		console.log(deviceTypes)

#### (static) getDeviceTypes(callback)

Get device types

##### Parameters:

Name | Type | Description
--- | --- | ---
`callback` | module:resin.models.config~getDeviceTypes | callback

Source:
  - models/config.js, line 99

##### Example

    resin.models.config.getDeviceTypes (error, deviceTypes) ->
    		throw error if error?
    		console.log(deviceTypes)

#### (static) getPubNubKeys(callback)

Get PubNub keys

##### Parameters:

Name | Type | Description
--- | --- | ---
`callback` | module:resin.models.config~getPubNubKeys | callback

Source:
  - models/config.js, line 68

##### Example

    resin.models.config.getPubNubKeys (error, pubnubKeys) ->
    		throw error if error?
    		console.log(pubnubKeys.subscribe_key)
    		console.log(pubnubKeys.publish_key)

#### (static) getPubNubKeys(callback)

Get PubNub keys

##### Parameters:

Name | Type | Description
--- | --- | ---
`callback` | module:resin.models.config~getPubNubKeys | callback

Source:
  - resource/models/config.js, line 68

##### Example

    resin.models.config.getPubNubKeys (error, pubnubKeys) ->
    		throw error if error?
    		console.log(pubnubKeys.subscribe_key)
    		console.log(pubnubKeys.publish_key)